Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetThickness

Set the total thickness of the layers

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetThickness(DMPlexTransform tr, PetscReal thickness)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- thickness - The total thickness of the layers

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeGetThickness()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages